#ifndef __NLLIBC_STDIO_H_INCLUDED__
#define __NLLIBC_STDIO_H_INCLUDED__

typedef struct dummy *FILE;

extern FILE *stdin;
extern FILE *stdout;
extern FILE *stderr;

int sprintf(char *str, const char *format, ...);
int fprintf(FILE *stream, const char *format, ...);
int printf(const char *format, ...);
int puts(const char *str);
char *fgets(char *str, int size, FILE *stream);
int fputs(const char *str, FILE *stream);
int fflush(FILE *stream);

#endif
